Module tdlight.api
Package it.tdlight.jni

# Class TdApi.UserPrivacySetting

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.UserPrivacySetting

Direct Known Subclasses:
  `TdApi.UserPrivacySettingAllowCalls`, `TdApi.UserPrivacySettingAllowChatInvites`, `TdApi.UserPrivacySettingAllowFindingByPhoneNumber`, `TdApi.UserPrivacySettingAllowPeerToPeerCalls`, `TdApi.UserPrivacySettingAllowPrivateVoiceAndVideoNoteMessages`, `TdApi.UserPrivacySettingShowBio`, `TdApi.UserPrivacySettingShowLinkInForwardedMessages`, `TdApi.UserPrivacySettingShowPhoneNumber`, `TdApi.UserPrivacySettingShowProfilePhoto`, `TdApi.UserPrivacySettingShowStatus`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.UserPrivacySetting extends TdApi.Object permits TdApi.UserPrivacySettingShowStatus, TdApi.UserPrivacySettingShowProfilePhoto, TdApi.UserPrivacySettingShowLinkInForwardedMessages, TdApi.UserPrivacySettingShowPhoneNumber, TdApi.UserPrivacySettingShowBio, TdApi.UserPrivacySettingAllowChatInvites, TdApi.UserPrivacySettingAllowCalls, TdApi.UserPrivacySettingAllowPeerToPeerCalls, TdApi.UserPrivacySettingAllowFindingByPhoneNumber, TdApi.UserPrivacySettingAllowPrivateVoiceAndVideoNoteMessages
This class is an abstract base class. Describes available user privacy settings.

## Constructor Summary

Constructors
Constructor
Description
`UserPrivacySetting()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UserPrivacySetting

public UserPrivacySetting()
Default class constructor.